var facebookApiModule = require('./facebookApiModule');
var generalApiModule = require('./generalApiModule');
var viberApiModule = require('./viberApiModule');
var slackApiModule = require('./slackApiModule');
var genericApiModule = require('./genericApiModule');

//module.exports.FacebookAPI = facebookApiModule.FacebookAPI;
//module.exports.SlackAPI = slackApiModule.SlackAPI;
//module.exports.ViberAPI = viberApiModule.ViberAPI;
//module.exports.GenericAPI = genericApiModule.GenericAPI;

module.exports = function (apikey, platformtoken = undefined){
	return {
	"facebook" : new facebookApiModule.FacebookAPI(apikey, platformtoken),
	"slack" : new slackApiModule.SlackAPI(apikey, platformtoken),
	"viber" : new viberApiModule.ViberAPI(apikey, platformtoken),
	"generic": new genericApiModule.GenericAPI(apikey)
	}
};
